utl::detail::invoke_result_< B, _Callable, _Args > Struct Template Reference

`#include <invoke.h>`

## Public Types

using | type = meta::nil_

## Detailed Description

### template<bool B, typename _Callable, typename... _Args>
struct utl::detail::invoke_result_< B, _Callable, _Args >

Definition at line 157 of file invoke.h.

## Member Typedef Documentation

## type

template<bool B, typename _Callable , typename... _Args>

using utl::detail::invoke_result_< B, _Callable, _Args >::type = meta::nil_

Definition at line 158 of file invoke.h.

The documentation for this struct was generated from the following file:

- include/utl/utility/invoke.h